package com.emr.dao;

import com.emr.vo.ExportTaskDetailsVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @InterfaceName ExportTaskDetailsMapper
 * @Description 批量导出详情接口
 * @Author linjj
 * @Date 2024/4/12 14:03
 * @Version 1.0
 */
public interface ExportTaskDetailsMapper {

    List<ExportTaskDetailsVo> selectAllByTaskId(int taskId);

    List<String> getMasterId(@Param("inpNo") String inpNo, @Param("dischargeDateTime") String dischargeDateTime);

    int upStatc(@Param("state") int state,@Param("id") int id);
}
